﻿##### Scriptinfo ##################################################################################
# Scriptreihe:      Gather-Privileges
# Datum:            2018-05-02
# Version:          V1.00
# Programmierer:    Stephan Walther
# PreReqs:          none
###################################################################################################

$out = New-Object -TypeName PSObject            

$CurrentUser = [Security.Principal.WindowsPrincipal] [Security.Principal.WindowsIdentity]::GetCurrent()       
$IsAdmin = ($CurrentUser).IsInRole([Security.Principal.WindowsBuiltInRole] "Administrator")

$out | Add-Member -MemberType NoteProperty -Name IsAdmin -Value $IsAdmin
Return $out