﻿##### Scriptinfo ##################################################################################
# Scriptreihe:      Hide-Console
# Datum:            2018-05-02
# Version:          V1.00
# Programmierer:    Stephan Walther
# PreReqs:          none
###################################################################################################

Add-Type -Name Window -Namespace Console -MemberDefinition '
[DllImport("Kernel32.dll")]
public static extern IntPtr GetConsoleWindow(); 
[DllImport("user32.dll")]
public static extern bool ShowWindow(IntPtr hWnd, Int32 nCmdShow);
'

$consolePtr = [Console.Window]::GetConsoleWindow()
[Console.Window]::ShowWindow($consolePtr, 0) | Out-Null